BizKitHub
DocsAPI ReferenceInvoice/bff/document/update-notes
postInvoiceAdmin BFF

/bff/document/update-notes

Updates the public and/or internal notice of the invoice.

InvoicepostBffDocumentUpdate-notes

Parameters

JSON body

Request body

application/json
idstringRequired

External invoice ID.

ExampleaB3xKm9pQ2wLn4Yz
publicNoticestringOptional

Public notice (displayed on invoice).

ExampleThank you for your business
internalNoticestringOptional

Internal notice.

ExampleApproved by manager

Response schema

1 status code documented

200Success
successbooleanRequired

Response example

application/json
{
  "success": false
}

Request example

POST /bff/document/update-notes

post
curl -X POST "https://api.bizkithub.com/bff/document/update-notes" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "id": "aB3xKm9pQ2wLn4Yz",
  "publicNotice": "Thank you for your business",
  "internalNotice": "Approved by manager"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key